curl --request POST \
--url https://api.spacebring.com/visitors/requests/v1/{id}/approve \
--header 'Authorization: Bearer <token>'{
"visit": {
"code": "102288",
"comment": "<string>",
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"address": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
}
}Approve a request.
visitorscurl --request POST \
--url https://api.spacebring.com/visitors/requests/v1/{id}/approve \
--header 'Authorization: Bearer <token>'{
"visit": {
"code": "102288",
"comment": "<string>",
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"address": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
}
}See our authentication documentation for how to authorize your requests
The id of the network. Required when using bearer token authentication
The id of the request
Created
Show child attributes